Package com.ads.api.beans.bgm

# Class AssetType

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.AssetType

public class AssetType extends Node
This class provides some beans control methods related to AssetType such as id, name, description and its related Audit History Details.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssetType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory Details of the catalog.
  `int`
  `getCatalogsTypeId()`
  Returns the catalogsTypeId.
  `int`
  `getCatalogTypeId()`
  Returns the catalogTypeId.
  `String`
  `getColor()`
  Returns the asset color.
  `String`
  `getDescription()`
  Returns the assetType description.
  `float`
  `getDisplayOrder()`
  Returns the displayOrder value.
  `int`
  `getId()`
  Returns the assetTypeId.
  `APIConstants.Module`
  `getModule()`
  `String`
  `getName()`
  Returns the assetTypeName.
  `int`
  `getObjectTypeId()`
  Returns the objectTypeId.
  `String`
  `getTitle()`
  Returns the assetType title.
  `boolean`
  `isDefinitionEnabled()`
  Returns the definitionEnabled value as true or false.
  `boolean`
  `isDocumentsRequired()`
  Returns the documentsRequired value as true or false.
  `boolean`
  `isEnabled()`
  Returns the enabled value as true or false.
  `boolean`
  `isSdiEnabled()`
  Returns the sdiEnabled value as true or false.
  `boolean`
  `isSystemBased()`
  Returns the SystemBased value as true or false.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Sets the auditHistory details as specified.
  `void`
  `setCatalogsTypeId(int catalogsTypeId)`
  Method sets the catalogsTypeId as specified.
  `void`
  `setCatalogTypeId(int catalogTypeId)`
  Method sets the catalogTypeId as specified.
  `void`
  `setColor(String color)`
  Sets the asset color as specified.
  `void`
  `setDefinitionEnabled(boolean definitionEnabled)`
  Sets the DefinitionEnabled value as specified.
  `void`
  `setDescription(String description)`
  Method sets the description as specified.
  `void`
  `setDisplayOrder(float displayOrder)`
  Sets the displayOrder value as specified.
  `void`
  `setDocumentsRequired(boolean documentsRequired)`
  Sets the documentsRequired value as specified.
  `void`
  `setEnabled(boolean enabled)`
  Sets the enabled value as specified.
  `void`
  `setId(int id)`
  Method sets the assetType id.
  `void`
  `setModule(APIConstants.Module module)`
  `void`
  `setName(String name)`
  Method sets the assetType name as specified.
  `void`
  `setObjectTypeId(int objectTypeId)`
  Method sets the objectTypeId as specified.
  `void`
  `setSdiEnabled(boolean sdiEnabled)`
  Sets the sdiEnabled value as specified.
  `void`
  `setSystemBased(boolean systemBased)`
  Sets the systemBased value as specified.
  `void`
  `setTitle(String title)`
  Method sets the assetType title as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, setChildNodes, setEndPointType, setNodeId, setNodeType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssetType

    public AssetType()

- ## Method Details

  - ### getId

    public int getId()
    Returns the assetTypeId.
    Returns:
      assetTypeId int.

  - ### setId

    public void setId(int id)
    Method sets the assetType id.
    Parameters:
      `id` - int

  - ### getObjectTypeId

    public int getObjectTypeId()
    Returns the objectTypeId.
    Overrides:
      `getObjectTypeId` in class `Node`
    Returns:
      objectTypeId int.

  - ### setObjectTypeId

    public void setObjectTypeId(int objectTypeId)
    Method sets the objectTypeId as specified.
    Overrides:
      `setObjectTypeId` in class `Node`
    Parameters:
      `objectTypeId` - int

  - ### getCatalogTypeId

    public int getCatalogTypeId()
    Returns the catalogTypeId.
    Returns:
      catalogTypeId int.

  - ### setCatalogTypeId

    public void setCatalogTypeId(int catalogTypeId)
    Method sets the catalogTypeId as specified.
    Parameters:
      `catalogTypeId` - int

  - ### getCatalogsTypeId

    public int getCatalogsTypeId()
    Returns the catalogsTypeId.
    Returns:
      catalogsTypeId int.

  - ### setCatalogsTypeId

    public void setCatalogsTypeId(int catalogsTypeId)
    Method sets the catalogsTypeId as specified.
    Parameters:
      `catalogsTypeId` - int

  - ### getName

    public String getName()
    Returns the assetTypeName.
    Returns:
      assetTypeName String

  - ### setName

    public void setName(String name)
    Method sets the assetType name as specified.
    Parameters:
      `name` - String

  - ### getTitle

    public String getTitle()
    Returns the assetType title.
    Returns:
      title String

  - ### setTitle

    public void setTitle(String title)
    Method sets the assetType title as specified.
    Parameters:
      `title` - String

  - ### getDescription

    public String getDescription()
    Returns the assetType description.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Method sets the description as specified.
    Parameters:
      `description` - String

  - ### isDocumentsRequired

    public boolean isDocumentsRequired()
    Returns the documentsRequired value as true or false.
    Returns:
      documentsRequired boolean

  - ### setDocumentsRequired

    public void setDocumentsRequired(boolean documentsRequired)
    Sets the documentsRequired value as specified.
    Parameters:
      `documentsRequired` - boolean

  - ### isEnabled

    public boolean isEnabled()
    Returns the enabled value as true or false.
    Returns:
      enabled boolean

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Sets the enabled value as specified.
    Parameters:
      `enabled` - boolean

  - ### isDefinitionEnabled

    public boolean isDefinitionEnabled()
    Returns the definitionEnabled value as true or false.
    Returns:
      DefinitionEnabled boolean

  - ### setDefinitionEnabled

    public void setDefinitionEnabled(boolean definitionEnabled)
    Sets the DefinitionEnabled value as specified.
    Parameters:
      `definitionEnabled` - boolean

  - ### isSdiEnabled

    public boolean isSdiEnabled()
    Returns the sdiEnabled value as true or false.
    Returns:
      sdiEnabled boolean

  - ### setSdiEnabled

    public void setSdiEnabled(boolean sdiEnabled)
    Sets the sdiEnabled value as specified.
    Parameters:
      `sdiEnabled` - boolean

  - ### isSystemBased

    public boolean isSystemBased()
    Returns the SystemBased value as true or false.
    Returns:
      systemBased boolean

  - ### setSystemBased

    public void setSystemBased(boolean systemBased)
    Sets the systemBased value as specified.
    Parameters:
      `systemBased` - boolean

  - ### getDisplayOrder

    public float getDisplayOrder()
    Returns the displayOrder value.
    Returns:
      displayOrder float.

  - ### setDisplayOrder

    public void setDisplayOrder(float displayOrder)
    Sets the displayOrder value as specified.
    Parameters:
      `displayOrder` - float.

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory Details of the catalog.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getColor

    public String getColor()
    Returns the asset color.
    Returns:
      assetType color String

  - ### setColor

    public void setColor(String color)
    Sets the asset color as specified.
    Parameters:
      `color` -

  - ### getModule

    public APIConstants.Module getModule()
    Returns:

  - ### setModule

    public void setModule(APIConstants.Module module)
    Parameters:
      `module` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`